/* SPDX-License-Identifier: GPL-2.0 */
#ifndef __BCM63XX_FLASH_H
#define __BCM63XX_FLASH_H

enum {
	BCM63XX_FLASH_TYPE_PARALLEL,
	BCM63XX_FLASH_TYPE_SERIAL,
	BCM63XX_FLASH_TYPE_NAND,
};

void bcm63xx_flash_detect(void);

void bcm63xx_flash_force_phys_base_address(u32 start, u32 end);

int __init bcm63xx_flash_register(void);

int bcm63xx_flash_get_type(void);

#endif /* __BCM63XX_FLASH_H */
